Package com.independentsoft.office.vml

# Class Extrusion

java.lang.Object
com.independentsoft.office.vml.Extrusion

All Implemented Interfaces:
  `IContentElement`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class Extrusion extends Object implements IShapeElement, IVmlElement
The Class Extrusion.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Extrusion()`
  Instantiates a new extrusion.
  `Extrusion​(InternalXMLStreamReader reader)`
  Instantiates a new extrusion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Extrusion`
  `clone()`
  `String`
  `getBackwardDepth()`
  Gets the backward depth.
  `String`
  `getBrightness()`
  Gets the brightness.
  `String`
  `getColor()`
  Gets the color.
  `ColorMode`
  `getColorMode()`
  Gets the color mode.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getDiffuseReflection()`
  Gets the diffuse reflection.
  `String`
  `getEdge()`
  Gets the edge.
  `ExtensionHandlingBehavior`
  `getExtensionHandlingBehavior()`
  Gets the extension handling behavior.
  `String`
  `getFacetingQuality()`
  Gets the faceting quality.
  `String`
  `getForwardDepth()`
  Gets the forward depth.
  `String`
  `getOrientation()`
  Gets the orientation.
  `double`
  `getOrientationAngle()`
  Gets the orientation angle.
  `ExtrusionPlane`
  `getPlane()`
  Gets the plane.
  `String`
  `getPrimaryLightLevel()`
  Gets the primary light level.
  `String`
  `getPrimaryLightPosition()`
  Gets the primary light position.
  `ExtrusionRenderingType`
  `getRenderMode()`
  Gets the render mode.
  `String`
  `getRotationAngle()`
  Gets the rotation angle.
  `String`
  `getRotationCenter()`
  Gets the rotation center.
  `String`
  `getSecondaryLightLevel()`
  Gets the secondary light level.
  `String`
  `getSecondaryLightPosition()`
  Gets the secondary light position.
  `double`
  `getShininess()`
  Gets the shininess.
  `String`
  `getSkew()`
  Gets the skew.
  `double`
  `getSkewAngle()`
  Gets the skew angle.
  `String`
  `getSpecularity()`
  Gets the specularity.
  `ExtrusionType`
  `getType()`
  Gets the type.
  `String`
  `getViewpoint()`
  Gets the viewpoint.
  `String`
  `getViewpointOrigin()`
  Gets the viewpoint origin.
  `boolean`
  `isAutoRotationCenter()`
  Checks if is auto rotation center.
  `boolean`
  `isDisplay()`
  Checks if is display.
  `boolean`
  `isLightFace()`
  Checks if is light face.
  `boolean`
  `isLockRotationCenter()`
  Checks if is lock rotation center.
  `boolean`
  `isMetallicSurface()`
  Checks if is metallic surface.
  `boolean`
  `isPrimaryLightHarshness()`
  Checks if is primary light harshness.
  `boolean`
  `isSecondaryLightHarshness()`
  Checks if is secondary light harshness.
  `void`
  `setAutoRotationCenter​(boolean autoRotationCenter)`
  Sets the auto rotation center.
  `void`
  `setBackwardDepth​(String backwardDepth)`
  Sets the backward depth.
  `void`
  `setBrightness​(String brightness)`
  Sets the brightness.
  `void`
  `setColor​(String color)`
  Sets the color.
  `void`
  `setColorMode​(ColorMode colorMode)`
  Sets the color mode.
  `void`
  `setDiffuseReflection​(String diffuseReflection)`
  Sets the diffuse reflection.
  `void`
  `setDisplay​(boolean display)`
  Sets the display.
  `void`
  `setEdge​(String edge)`
  Sets the edge.
  `void`
  `setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)`
  Sets the extension handling behavior.
  `void`
  `setFacetingQuality​(String facetingQuality)`
  Sets the faceting quality.
  `void`
  `setForwardDepth​(String forwardDepth)`
  Sets the forward depth.
  `void`
  `setLightFace​(boolean lightFace)`
  Sets the light face.
  `void`
  `setLockRotationCenter​(boolean lockRotationCenter)`
  Sets the lock rotation center.
  `void`
  `setMetallicSurface​(boolean metallicSurface)`
  Sets the metallic surface.
  `void`
  `setOrientation​(String orientation)`
  Sets the orientation.
  `void`
  `setOrientationAngle​(double orientationAngle)`
  Sets the orientation angle.
  `void`
  `setPlane​(ExtrusionPlane plane)`
  Sets the plane.
  `void`
  `setPrimaryLightHarshness​(boolean primaryLightHarshness)`
  Sets the primary light harshness.
  `void`
  `setPrimaryLightLevel​(String primaryLightLevel)`
  Sets the primary light level.
  `void`
  `setPrimaryLightPosition​(String primaryLightPosition)`
  Sets the primary light position.
  `void`
  `setRenderMode​(ExtrusionRenderingType renderMode)`
  Sets the render mode.
  `void`
  `setRotationAngle​(String rotationAngle)`
  Sets the rotation angle.
  `void`
  `setRotationCenter​(String rotationCenter)`
  Sets the rotation center.
  `void`
  `setSecondaryLightHarshness​(boolean secondaryLightHarshness)`
  Sets the secondary light harshness.
  `void`
  `setSecondaryLightLevel​(String secondaryLightLevel)`
  Sets the secondary light level.
  `void`
  `setSecondaryLightPosition​(String secondaryLightPosition)`
  Sets the secondary light position.
  `void`
  `setShininess​(double shininess)`
  Sets the shininess.
  `void`
  `setSkew​(String skew)`
  Sets the skew.
  `void`
  `setSkewAngle​(double skewAngle)`
  Sets the skew angle.
  `void`
  `setSpecularity​(String specularity)`
  Sets the specularity.
  `void`
  `setType​(ExtrusionType type)`
  Sets the type.
  `void`
  `setViewpoint​(String viewpoint)`
  Sets the viewpoint.
  `void`
  `setViewpointOrigin​(String viewpointOrigin)`
  Sets the viewpoint origin.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Extrusion

    public Extrusion()
    Instantiates a new extrusion.

  - ### Extrusion

    public Extrusion​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new extrusion.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Extrusion clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAutoRotationCenter

    public boolean isAutoRotationCenter()
    Checks if is auto rotation center.
    Returns:
      true, if is auto rotation center

  - ### setAutoRotationCenter

    public void setAutoRotationCenter​(boolean autoRotationCenter)
    Sets the auto rotation center.
    Parameters:
      `autoRotationCenter` - the new auto rotation center

  - ### getBackwardDepth

    public String getBackwardDepth()
    Gets the backward depth.
    Returns:
      the backward depth

  - ### setBackwardDepth

    public void setBackwardDepth​(String backwardDepth)
    Sets the backward depth.
    Parameters:
      `backwardDepth` - the new backward depth

  - ### getBrightness

    public String getBrightness()
    Gets the brightness.
    Returns:
      the brightness

  - ### setBrightness

    public void setBrightness​(String brightness)
    Sets the brightness.
    Parameters:
      `brightness` - the new brightness

  - ### getColor

    public String getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getColorMode

    public ColorMode getColorMode()
    Gets the color mode.
    Returns:
      the color mode

  - ### setColorMode

    public void setColorMode​(ColorMode colorMode)
    Sets the color mode.
    Parameters:
      `colorMode` - the new color mode

  - ### getDiffuseReflection

    public String getDiffuseReflection()
    Gets the diffuse reflection.
    Returns:
      the diffuse reflection

  - ### setDiffuseReflection

    public void setDiffuseReflection​(String diffuseReflection)
    Sets the diffuse reflection.
    Parameters:
      `diffuseReflection` - the new diffuse reflection

  - ### getEdge

    public String getEdge()
    Gets the edge.
    Returns:
      the edge

  - ### setEdge

    public void setEdge​(String edge)
    Sets the edge.
    Parameters:
      `edge` - the new edge

  - ### getExtensionHandlingBehavior

    public ExtensionHandlingBehavior getExtensionHandlingBehavior()
    Gets the extension handling behavior.
    Returns:
      the extension handling behavior

  - ### setExtensionHandlingBehavior

    public void setExtensionHandlingBehavior​(ExtensionHandlingBehavior extensionHandlingBehavior)
    Sets the extension handling behavior.
    Parameters:
      `extensionHandlingBehavior` - the new extension handling behavior

  - ### getFacetingQuality

    public String getFacetingQuality()
    Gets the faceting quality.
    Returns:
      the faceting quality

  - ### setFacetingQuality

    public void setFacetingQuality​(String facetingQuality)
    Sets the faceting quality.
    Parameters:
      `facetingQuality` - the new faceting quality

  - ### getForwardDepth

    public String getForwardDepth()
    Gets the forward depth.
    Returns:
      the forward depth

  - ### setForwardDepth

    public void setForwardDepth​(String forwardDepth)
    Sets the forward depth.
    Parameters:
      `forwardDepth` - the new forward depth

  - ### isLightFace

    public boolean isLightFace()
    Checks if is light face.
    Returns:
      true, if is light face

  - ### setLightFace

    public void setLightFace​(boolean lightFace)
    Sets the light face.
    Parameters:
      `lightFace` - the new light face

  - ### isPrimaryLightHarshness

    public boolean isPrimaryLightHarshness()
    Checks if is primary light harshness.
    Returns:
      true, if is primary light harshness

  - ### setPrimaryLightHarshness

    public void setPrimaryLightHarshness​(boolean primaryLightHarshness)
    Sets the primary light harshness.
    Parameters:
      `primaryLightHarshness` - the new primary light harshness

  - ### isSecondaryLightHarshness

    public boolean isSecondaryLightHarshness()
    Checks if is secondary light harshness.
    Returns:
      true, if is secondary light harshness

  - ### setSecondaryLightHarshness

    public void setSecondaryLightHarshness​(boolean secondaryLightHarshness)
    Sets the secondary light harshness.
    Parameters:
      `secondaryLightHarshness` - the new secondary light harshness

  - ### getPrimaryLightLevel

    public String getPrimaryLightLevel()
    Gets the primary light level.
    Returns:
      the primary light level

  - ### setPrimaryLightLevel

    public void setPrimaryLightLevel​(String primaryLightLevel)
    Sets the primary light level.
    Parameters:
      `primaryLightLevel` - the new primary light level

  - ### getSecondaryLightLevel

    public String getSecondaryLightLevel()
    Gets the secondary light level.
    Returns:
      the secondary light level

  - ### setSecondaryLightLevel

    public void setSecondaryLightLevel​(String secondaryLightLevel)
    Sets the secondary light level.
    Parameters:
      `secondaryLightLevel` - the new secondary light level

  - ### getPrimaryLightPosition

    public String getPrimaryLightPosition()
    Gets the primary light position.
    Returns:
      the primary light position

  - ### setPrimaryLightPosition

    public void setPrimaryLightPosition​(String primaryLightPosition)
    Sets the primary light position.
    Parameters:
      `primaryLightPosition` - the new primary light position

  - ### getSecondaryLightPosition

    public String getSecondaryLightPosition()
    Gets the secondary light position.
    Returns:
      the secondary light position

  - ### setSecondaryLightPosition

    public void setSecondaryLightPosition​(String secondaryLightPosition)
    Sets the secondary light position.
    Parameters:
      `secondaryLightPosition` - the new secondary light position

  - ### isLockRotationCenter

    public boolean isLockRotationCenter()
    Checks if is lock rotation center.
    Returns:
      true, if is lock rotation center

  - ### setLockRotationCenter

    public void setLockRotationCenter​(boolean lockRotationCenter)
    Sets the lock rotation center.
    Parameters:
      `lockRotationCenter` - the new lock rotation center

  - ### isMetallicSurface

    public boolean isMetallicSurface()
    Checks if is metallic surface.
    Returns:
      true, if is metallic surface

  - ### setMetallicSurface

    public void setMetallicSurface​(boolean metallicSurface)
    Sets the metallic surface.
    Parameters:
      `metallicSurface` - the new metallic surface

  - ### isDisplay

    public boolean isDisplay()
    Checks if is display.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Sets the display.
    Parameters:
      `display` - the new display

  - ### getOrientation

    public String getOrientation()
    Gets the orientation.
    Returns:
      the orientation

  - ### setOrientation

    public void setOrientation​(String orientation)
    Sets the orientation.
    Parameters:
      `orientation` - the new orientation

  - ### getOrientationAngle

    public double getOrientationAngle()
    Gets the orientation angle.
    Returns:
      the orientation angle

  - ### setOrientationAngle

    public void setOrientationAngle​(double orientationAngle)
    Sets the orientation angle.
    Parameters:
      `orientationAngle` - the new orientation angle

  - ### getPlane

    public ExtrusionPlane getPlane()
    Gets the plane.
    Returns:
      the plane

  - ### setPlane

    public void setPlane​(ExtrusionPlane plane)
    Sets the plane.
    Parameters:
      `plane` - the new plane

  - ### getRenderMode

    public ExtrusionRenderingType getRenderMode()
    Gets the render mode.
    Returns:
      the render mode

  - ### setRenderMode

    public void setRenderMode​(ExtrusionRenderingType renderMode)
    Sets the render mode.
    Parameters:
      `renderMode` - the new render mode

  - ### getRotationAngle

    public String getRotationAngle()
    Gets the rotation angle.
    Returns:
      the rotation angle

  - ### setRotationAngle

    public void setRotationAngle​(String rotationAngle)
    Sets the rotation angle.
    Parameters:
      `rotationAngle` - the new rotation angle

  - ### getRotationCenter

    public String getRotationCenter()
    Gets the rotation center.
    Returns:
      the rotation center

  - ### setRotationCenter

    public void setRotationCenter​(String rotationCenter)
    Sets the rotation center.
    Parameters:
      `rotationCenter` - the new rotation center

  - ### getShininess

    public double getShininess()
    Gets the shininess.
    Returns:
      the shininess

  - ### setShininess

    public void setShininess​(double shininess)
    Sets the shininess.
    Parameters:
      `shininess` - the new shininess

  - ### getSkew

    public String getSkew()
    Gets the skew.
    Returns:
      the skew

  - ### setSkew

    public void setSkew​(String skew)
    Sets the skew.
    Parameters:
      `skew` - the new skew

  - ### getSkewAngle

    public double getSkewAngle()
    Gets the skew angle.
    Returns:
      the skew angle

  - ### setSkewAngle

    public void setSkewAngle​(double skewAngle)
    Sets the skew angle.
    Parameters:
      `skewAngle` - the new skew angle

  - ### getSpecularity

    public String getSpecularity()
    Gets the specularity.
    Returns:
      the specularity

  - ### setSpecularity

    public void setSpecularity​(String specularity)
    Sets the specularity.
    Parameters:
      `specularity` - the new specularity

  - ### getType

    public ExtrusionType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ExtrusionType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getViewpoint

    public String getViewpoint()
    Gets the viewpoint.
    Returns:
      the viewpoint

  - ### setViewpoint

    public void setViewpoint​(String viewpoint)
    Sets the viewpoint.
    Parameters:
      `viewpoint` - the new viewpoint

  - ### getViewpointOrigin

    public String getViewpointOrigin()
    Gets the viewpoint origin.
    Returns:
      the viewpoint origin

  - ### setViewpointOrigin

    public void setViewpointOrigin​(String viewpointOrigin)
    Sets the viewpoint origin.
    Parameters:
      `viewpointOrigin` - the new viewpoint origin